#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 record-dot-preprocessor
version:              0.2.12
visibility:           public
id:                   record-dot-preprocessor-0.2.12-tGkLlqHahAAGUc2EnmN0F
key:                  record-dot-preprocessor-0.2.12-tGkLlqHahAAGUc2EnmN0F
license:              BSD-3-Clause
copyright:            Neil Mitchell 2018-2021
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:
    https://github.com/ndmitchell/record-dot-preprocessor#readme

synopsis:             Preprocessor to allow record.field syntax
description:
    In almost every programming language @a.b@ will get the @b@ field from the @a@ data type, and many different data types can have a @b@ field.
    The reason this feature is ubiquitous is because it'\''s /useful/.
    The @record-dot-preprocessor@ brings this feature to Haskell - see the README for full details.

category:             Development
abi:                  519a121c8b580a76f4792a5702a21f7a
exposed:              True
exposed-modules:      RecordDotPreprocessor RecordDotPreprocessor.Lib
hidden-modules:       Compat Edit Lexer Paren
import-dirs:
    /usr/lib/ghc-9.0.1/site-local/record-dot-preprocessor-0.2.12

library-dirs:
    /usr/lib/ghc-9.0.1/site-local/record-dot-preprocessor-0.2.12

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/record-dot-preprocessor-0.2.12

hs-libraries:         HSrecord-dot-preprocessor-0.2.12-tGkLlqHahAAGUc2EnmN0F
depends:
    base-4.15.0.0 extra-1.7.10-BjGZFAYpXsjDqImjYsZuGK ghc-9.0.1
    uniplate-1.6.13-6JP8axZ8lopFZnEZDOoe5R

haddock-interfaces:
    /usr/share/doc/haskell-record-dot-preprocessor/html/record-dot-preprocessor.haddock

haddock-html:         /usr/share/doc/haskell-record-dot-preprocessor/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

